Redmine - Defect #41467

Unexpected font size on CommonMark Markdown help pages due to missing doctype declaration

2024-10-10 14:26 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version: 6.0.0

Resolution: Fixed Affected version:

Description

In the CommonMark Markdown help page, the font size is not displayed as intended, which contrasts with the deprecated
Redcarpet-based Markdown help page. This issue is caused by the absence of a <!doctype> declaration in the HTML.

The attached patch resolves the issue by adding <!DOCTYPE html>.
Associated revisions

Revision 23108 - 2024-10-11 00:02 - Go MAEDA
Fix font size issue in CommonMark Markdown help pages caused by missing DOCTYPE (#41467).

Patch by Go MAEDA (user:maeda).

Revision 23109 - 2024-10-11 01:48 - Go MAEDA
Remove duplicate DOCTYPE (#41467).

Revision 23110 - 2024-10-11 01:57 - Go MAEDA
Fix unclosed td tags in CommonMark Markdown help pages (#41467).

History

#1 - 2024-10-11 00:02 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Target version changed from Candidate for next major release to 6.0.0

- Resolution set to Fixed

Committed the fix in r23108.

#2 - 2024-10-11 02:51 - Go MAEDA

- Status changed from Resolved to Closed
